libxml-parser-lite-tree-perl_0.14-1_all.deb


Advertisement

Description

libxml-parser-lite-tree-perl - lightweight XML tree builder

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libxml-parser-lite-tree-perl
Package version: 0.14
Package release: 1
Package architecture: all
Package type: deb
Installed size: 92 B
Download size: 19.73 KB
Official Mirror: ftp.br.debian.org
XML::Parser::Lite::Tree is a singleton class for parsing XML into a tree structure. It differs from other XML tree generators because it is based on XML::Parser::Lite, which is a Pure Perl XML parser. Using this module you can tree-ify simple XML without having to compile any C.

Requires

    Download

    Source package: libxml-parser-lite-tree-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libxml-parser-lite-tree-perl deb package:
      # sudo apt-get install libxml-parser-lite-tree-perl

    Files

    • /usr/share/doc/libxml-parser-lite-tree-perl/changelog.Debian.gz
    • /usr/share/doc/libxml-parser-lite-tree-perl/copyright
    • /usr/share/man/man3/XML::Parser::Lite::Tree.3pm.gz
    • /usr/share/man/man3/XML::Parser::LiteCopy.3pm.gz
    • /usr/share/perl5/XML/Parser/LiteCopy.pm
    • /usr/share/perl5/XML/Parser/Lite/Tree.pm

    Changelog

    2011-06-05 - gregor herrmann <gregoa@debian.org> libxml-parser-lite-tree-perl (0.14-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Email change: Salvatore Bonaccorso -> carnil@debian.org * Email change: Jose Luis Rivas -> ghostbar@debian.org * Email change: Martín Ferrari -> tincho@debian.org [ gregor herrmann ] * New upstream release (closes: #629295). * Refresh patch fix-spelling-error-in-manpage.patch (offset). * Update years of upstream and packaging copyright. * Bump debhelper compatibility level to 8. * Set Standards-Version to 3.9.2 (no changes).

    2010-07-24 - gregor herrmann <gregoa@debian.org> libxml-parser-lite-tree-perl (0.12-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Updated copyright information * Refreshed tree patch [ Ryan Niebur ] * Update jawnsy's email address [ Salvatore Bonaccorso ] * Drop XML-Parser-Lite.patch as the shiped local copy of XML::Parser::Liste is highly modified by the author to add several features. Drop REAME.source as not needed anymore and remove quilt framework (debian/control and debian/rules). * Drop libsoap-lite-perl (Build-)Depends(-Indep). * debian/copyright: Refresh to revision 135 of DEP5's format- specification for machine-readable copyright information. Update debian/* packaging stanza. * Bump Standards-Version to 3.9.0 (no changes needed). * Convert to '3.0 (quilt)' source package format. * Add fix-spelling-error-in-manpage.patch to fix a small spelling error reported by lintian.

    2009-08-21 - Jonathan Yu <frequency@cpan.org> libxml-parser-lite-tree-perl (0.11-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release + Relicensed under Artistic 2.0 + Updated copyright years + XML::Parser::Lite::Tree's private subs now return 1 unconditionally * Use new short debhelper format, with overrides and --with quilt (7.0.50) * Standards-Version 3.8.3 (no changes) [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ gregor herrmann ] * Refresh patch XML-Parser-Lite.patch.

    2008-11-01 - Jose Luis Rivas <ghostbar38@gmail.com> libxml-parser-lite-tree-perl (0.08-1) unstable; urgency=low [ Martín Ferrari ] * Fix priority to match archive override (optional -> extra). * Updating my email address [ David Paleino ] * debian/control: removed myself from Uploaders [ gregor herrmann ] * New upstream release. * Add /me to Uploaders. * Set debhelper compatibility level to 7; adapt debian/{control,compat,rules}. Drop cdbs. * debian/copyright: switch to new format; add information about the newly added lib/XML/Parser/LiteCopy.pm. * Set Standards-Version to 3.8.0 (no changes). * Add patch XML-Parser-Lite.patch to use the original XML::Parser::Lite instead of the embedded copy; add quilt framework and debian/README.source. Remove the embedded copy from the binary package in debian/rules. * Don't install README any more. [ Jose Luis Rivas ] * Relicensed debian/* to Artistic [ gregor herrmann ] * debian/watch: extended regexp for matching upstream releases. * debian/control: - add ${misc:Depends} to Depends: - long description: mention module name - short description: don't start with a capital letter

    Advertisement
    Advertisement